1.0
1.0
get /v1/certificatemanager
Description
List Certificates
State ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | isMine optional | Is it my certificate Example : False | any of [boolean, null] | False |
| query | name optional | Certificate Name Example : test-certificate | any of [string, null] | None |
| query | cn optional | Certificate Common Name Example : test.go.kr | any of [string, null] | None |
| query | state optional | Certificate State Example : VALID | any of [array[string], string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | CertificateListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/certificatemanager
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.0"
Example HTTP response
Response 200
{
"certificates": [
{
"cert_kind": "PRD",
"cn": "test.go.kr",
"id": "",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"state": "VALID"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}